﻿@model Dictionary<string, AppData>

<div class="row">
    <div class="col-12">
        <div class="input-group mb-3">
            <input id="game-query" type="text" class="form-control" placeholder="Search for a game..." />
        </div>
    </div>
</div>
<div class="row">
    @foreach (var game in Model)
    {
        <div class="col-md-6 col-xl-4 mb-4 card-container">
            <div class="card">
                <img src="@(game.Value.Capsule)" class="card-img-top" alt="@(game.Value.Name)" />
                <div class="card-body">
                    <h6 class="card-title game">@(game.Value.Name)</h6>
                    <div class="d-inline">
                        <button data-id="@(game.Key)" data-name="@(game.Value.Name)" type="button"
                                class="btn btn-outline-primary btn-sm stretched-link btn-price-data">
                            View Price Data
                        </button>
                        <div class="loading float-right" style="display:none;">
                            <div class="spinner-border spinner-border-sm" role="status">
                                <span class="sr-only">Loading...</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <small class="text-muted">
                        @{var value = game.Value.Subs.OrderBy(a => a.Price).FirstOrDefault()?.Price;}
                        @(value != null ? string.Format("${0:#.00}", Convert.ToDecimal(value) / 100) : "No price data available")
                    </small>
                </div>
            </div>
        </div>
    }
</div>
